# Renderd7-nightly: nlohmann::ordered_map< Key, T, IgnoredLess, Allocator > Struct Template Reference

nlohmann::ordered_map< Key, T, IgnoredLess, Allocator > Struct Template Reference

`#include <json.hpp>`

## Detailed Description

### template<class Key, class T, class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>
struct nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >

ordered_map: a minimal map-like container that preserves insertion order for use within nlohmann::basic_json<ordered_map>